Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache
Interface CacheProvider

All Known Implementing Classes:
  AbstractJndiBoundCacheProvider, EhCacheProvider, HashtableCacheProvider, NoCacheProvider, OSCacheProvider, SingletonEhCacheProvider, SwarmCacheProvider

Deprecated. As of 3.3; see for details.

    public interface CacheProvider

Support for pluggable caches.

Author:
  Gavin King

Method Summary
`Cache` | `buildCache(String regionName, Properties properties)` Deprecated. Configure the cache
`boolean` | `isMinimalPutsEnabledByDefault()` Deprecated.
`long` | `nextTimestamp()` Deprecated. Generate a timestamp
`void` | `start(Properties properties)` Deprecated. Callback to perform any necessary initialization of the underlying cache implementation during SessionFactory construction.
`void` | `stop()` Deprecated. Callback to perform any necessary cleanup of the underlying cache implementation during SessionFactory.close().

Method Detail

### buildCache

    Cache buildCache(String regionName,
                     Properties properties)
                     throws CacheException

  Deprecated.
  Configure the cache

  Parameters:
    `regionName` - the name of the cache region
    `properties` - configuration settings
  Throws:
    `CacheException`

### nextTimestamp

    long nextTimestamp()

  Deprecated.
  Generate a timestamp

### start

    void start(Properties properties)
               throws CacheException

  Deprecated.
  Callback to perform any necessary initialization of the underlying cache implementation during SessionFactory construction.

  Parameters:
    `properties` - current configuration settings.
  Throws:
    `CacheException`

### stop

    void stop()

  Deprecated.
  Callback to perform any necessary cleanup of the underlying cache implementation during SessionFactory.close().

### isMinimalPutsEnabledByDefault

    boolean isMinimalPutsEnabledByDefault()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.